Bug 1604030 - /usr/share/zoneinfo/tzdata.zi says "version unknown"
Summary: /usr/share/zoneinfo/tzdata.zi says "version unknown"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tzdata
Version: 28
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patsy Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 20:03 UTC by Paul Eggert
Modified: 2018-11-21 03:11 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-14 03:12:39 UTC


Attachments (Terms of Use)

Description Paul Eggert 2018-07-19 20:03:59 UTC
Description of problem:

The first line of /usr/share/zoneinfo/tzdata.zi says "# version unknown". It should instead say "# version 2018e". Assuming the upstream proposed patch discussed <https://mm.icann.org/pipermail/tz/2018-July/026657.html> is released in 2018f and assuming Fedora sticks with rearguard data format for now, the first line should say "# version 2018f,rearguard".

This bug is not much of a problem now, since the version information is not widely used. However, draft C++20 will will require the version information, at least one prototype C++ library is using tzdata.zi now, and Fedora should be getting ready for C++20 sooner rather than later. See the thread containing <https://mm.icann.org/pipermail/tz/2018-July/026656.html>.

Version-Release number of selected component (if applicable):

tzdata-2018e-1.fc28.noarch

How reproducible:

Look at the first line of /usr/share/zoneinfo/tzdata.zi.

Steps to Reproduce:

head -n 1 /usr/share/zoneinfo/tzdata.zi

Actual results:

unknown

Expected results:

2018e [for current tzdb version]
2018f,rearguard [for next tzdb version, given abovementioned assumptions]

Additional info:

Comment 1 Paul Eggert 2018-07-19 20:06:28 UTC
I should have mentioned that this problem with RHEL and Fedora was first reported by John Haxby here on the tz mailing list, here:

https://mm.icann.org/pipermail/tz/2018-July/026653.html

Comment 2 Patsy Franklin 2018-07-23 21:43:00 UTC
Thanks for reporting this!  I'll fix this as part of our next update.

Comment 3 Fedora Update System 2018-11-12 22:21:20 UTC
tzdata-2018g-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-529994a55a

Comment 4 Fedora Update System 2018-11-12 23:04:12 UTC
tzdata-2018g-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7d685d4be7

Comment 5 Fedora Update System 2018-11-13 00:14:25 UTC
tzdata-2018g-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-01a5c99929

Comment 6 Fedora Update System 2018-11-13 04:08:06 UTC
tzdata-2018g-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7d685d4be7

Comment 7 Fedora Update System 2018-11-13 04:50:13 UTC
tzdata-2018g-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-529994a55a

Comment 8 Fedora Update System 2018-11-14 03:12:39 UTC
tzdata-2018g-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-14 04:57:22 UTC
tzdata-2018g-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-01a5c99929

Comment 10 Fedora Update System 2018-11-21 03:11:42 UTC
tzdata-2018g-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.